petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBDDCSetDofsSplitting

Set index sets defining fields of the global matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetDofsSplitting(PC pc,PetscInt n_is, IS ISForDofs[])

Collective Many br

### Input Parameters

| pc | - the preconditioning context Many br
| n_is | - number of index sets defining the fields Many br
| ISForDofs | - array of IS describing the fields in global ordering Many br

Many br

### Notes

Any process can list any global node. Not all nodes need to be listed: unlisted nodes will belong to the complement field. Many br

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages